<?php
	$slug = $_GET['dois'];
	$getServico = $db->prepare('SELECT idProduto, titulo, fotoDestaque, descricao FROM loja_produto WHERE slugProduto = :slug');
	$getServico->bindParam(':slug', $slug, PDO::PARAM_INT);
	$getServico->execute();

	if ($getServico->rowCount() == 1) {

		$servico = $getServico->fetch();

		$getGaleria = $db->prepare('SELECT imagem FROM loja_gallery WHERE idProduto = :id');
		$getGaleria->bindParam(':id', $servico['idProduto'], PDO::PARAM_INT);
		$getGaleria->execute();

		$arrGaleria = $getGaleria->fetch();

		$galeria = NULL;

		if($servico['fotoDestaque']) {
			$galeria = (is_array($arrGaleria)) ? array_merge(array($servico['fotoDestaque']), $arrGaleria) : array($servico['fotoDestaque']);
		} else {
			$galeria = (is_array($arrGaleria)) ? $arrGaleria : NULL;
		}

		$qtdImagensGaleria = count($galeria);
?>

<h1><?php echo $servico['titulo']; ?></h1>

<?php
	if($qtdImagensGaleria) {
		$path = 'sistema/imagens-site/loja/';
?>
<div class="galeria">
	<div class="imgPrincipalGaleria">
		<?php for ($i=0; $i < $qtdImagensGaleria; $i++) { ?>
		<div>
			<a href="/<?php echo $path.$galeria[$i]; ?>" rel="prettyPhoto[<?php echo $servico['titulo']; ?>]">
				<img src="/<?php echo $path.'medium/'.$galeria[$i]; ?>">
			</a>
		</div>
		<?php } ?>
	</div>

	<?php if($qtdImagensGaleria > 1) { ?>
	<div class="imgThumbGaleria">
		<?php for ($i=0; $i < $qtdImagensGaleria; $i++) { ?>
		<div><img src="/<?php echo $path.'thumbs/'.$galeria[$i]; ?>"></div>
		<?php } ?>
	</div>
	<?php } ?>

</div>
<?php } ?>

<p><?php echo $servico['descricao']; ?></p>

<?php } else {
				require_once '404.php';
			}